Create ChangeOp for lemma
Closed, ResolvedPublic

Description

  • validate lemma (T153674)
  • set lemma on Lexeme

In order to use this ChangeOp we have to decide how to integrate ChangeOps for new entity types (T152491).

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2016, 12:37 PM
Jakob_WMDE moved this task from Proposed to Doing on the Wikidata-Sprint board.

Change 328501 had a related patch set uploaded (by Jakob):
[DRAFT][WIP] Add Lemma ChangeOp.

https://gerrit.wikimedia.org/r/328501

Jakob_WMDE moved this task from Doing to Review on the Wikidata-Sprint board.Jan 5 2017, 12:51 PM
thiemowmde moved this task from Review to Doing on the Wikidata-Sprint board.Jan 11 2017, 4:36 PM
thiemowmde triaged this task as Normal priority.Jan 18 2017, 11:54 AM
thiemowmde moved this task from incoming to in current sprint on the Wikidata board.

Change 337611 had a related patch set uploaded (by WMDE-leszek):
Add ChangeOpDeserializer for lemma change requests

https://gerrit.wikimedia.org/r/337611

Change 337882 had a related patch set uploaded (by WMDE-leszek):
[WIP] Process lemmas in LexemeChangeOpDeserializer

https://gerrit.wikimedia.org/r/337882

WMDE-leszek moved this task from Doing to Review on the Wikidata-Sprint board.Feb 15 2017, 5:44 PM

Change 328501 merged by jenkins-bot:
Add Lemma ChangeOp.

https://gerrit.wikimedia.org/r/328501

Change 337611 merged by jenkins-bot:
Add ChangeOpDeserializer for lemma change requests

https://gerrit.wikimedia.org/r/337611

WMDE-leszek closed this task as Resolved.Feb 21 2017, 9:37 AM
WMDE-leszek moved this task from Review to Done on the Wikidata-Sprint board.

Change 337882 merged by jenkins-bot:
Process lemmas in LexemeChangeOpDeserializer

https://gerrit.wikimedia.org/r/337882